using LinqToDB.Mapping;

namespace MasaBlazorApp3.Pojo
{
    //系统设置中的菜单
    [Table("SettingManu")]
    public class SettingManu
    {
        [PrimaryKey, Identity]
        [Column("id")]
        public int Id { get; set; }
        [Column("Manu_Name")]
        public string Name { get; set; }
        [Column("Manu_Icon")]
        public string Icon { get; set; }
        [Column("Path")]
        public string Path { get; set; }
        //使用状态1在用；0不在用
        [Column("UseStatus")]
        public int UseStatus { get; set; }
        [Column(IsColumn = false)]
        public List<SettingManu> Children { get; set; } = new();
    }
}
